package com.quantummetric.reactnative;

import android.content.Context;

import com.facebook.proguard.annotations.DoNotStrip;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.views.view.ReactViewGroup;

import java.util.HashMap;
import java.util.Map;

@DoNotStrip
public class QuantumView extends ReactViewGroup {
    private final Map<String, Object> metadata;
    private String privacy = "";

    public QuantumView(Context context) {
        super(context);
        metadata = new HashMap<>();
    }

    public void setPrivacy(String privacy) {
        this.privacy = privacy;
    }

    public void setMetadata(ReadableMap metadata) {

        if (metadata != null) {
            this.metadata.putAll(Utilities.readableMapToHashMap(metadata));
        }
    }

    @DoNotStrip
    public boolean mask() {
        return privacy.equals("mask");
    }

    @DoNotStrip
    public boolean encrypt() {
        return privacy.equals("encrypt");
    }

    @DoNotStrip
    public boolean unmask() {
        return privacy.equals("unmask");
    }

    @DoNotStrip
    public Map<String, Object> getMetadata() {
        return metadata;
    }
 }
