package com.quantummetric.reactnative;

import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;
import com.facebook.react.uimanager.annotations.ReactProp;

public class QuantumViewManager extends ViewGroupManager<QuantumView> {
    public static final String NAME = "QuantumComponent";

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    protected QuantumView createViewInstance(ThemedReactContext reactContext) {
        return new QuantumView(reactContext);
    }

    @ReactProp(name = "privacy")
    public void setPrivacy(QuantumView view, String privacy) {
        view.setPrivacy(privacy);
    }

    @ReactProp(name="metadata")
    public void setMetadata(QuantumView view, ReadableMap metadata) {
        view.setMetadata(metadata);
    }
}
