//
//  QuantumView.m
//  QuantumMetricLibrary
//
//  Created by Aaron Ash on 10/25/21.
//  Copyright © 2021 Quantum Metric. All rights reserved.
//

#import "QuantumView.h"

@implementation QuantumView

-(NSString*)description {
    return [NSString stringWithFormat:@"<QuantumView: %p, privacy: %@, metadata: %@>", self, _privacy, _metadata];
}

-(void)setPrivacy:(NSString *)privacy {
    _privacy = privacy;
//    NSLog(@"QMRN setPrivacy: %@", privacy);
    //tell QM we need to mask this view, if QMNative exists
    Class qmnative = NSClassFromString(@"QMNative");
    if (qmnative) {
        //good, don't do anything if no QMNative class
        if ([privacy isEqualToString:@"mask"]) {
            SEL maskTextInView = NSSelectorFromString(@"maskTextInView:");
            if ([qmnative respondsToSelector:maskTextInView]) {
                [qmnative performSelector:maskTextInView withObject:self];
//                NSLog(@"QMRN: setPrivacy did text masking");
            }
        } else if ([privacy isEqualToString:@"encrypt"]) {
            SEL encryptView = NSSelectorFromString(@"encryptView:");
            if ([qmnative respondsToSelector:encryptView]) {
                [qmnative performSelector:encryptView withObject:self];
//                NSLog(@"QMRN: setPrivacy did encryptView");
            }
        } else if ([privacy isEqualToString:@"unmask"]) {
            SEL unmaskView = NSSelectorFromString(@"unmaskView:");
            if ([qmnative respondsToSelector:unmaskView]) {
                [qmnative performSelector:unmaskView withObject:self];
            }
        }
    }
}

@end
